Search
ACH
>
Search
Currently only available for Garden
These API’s are currently only available for the Garden FI. These cannot be used at any live financial institution.
openapi: 3.0.3
info:
title: Automated Clearing House (ACH) API - Search
version: v1
description: |
Automated Clearing House (JHPlatform ACH).
contact:
name: Platform Services - ACH
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: https://{API_ENDPOINT}
variables:
API_ENDPOINT:
default: digital.garden-fi.com
security: []
tags:
- name: Search
description: APIs for searching entries in the warehouse
paths:
/a/api/platform/v1/{InstitutionUniversalId}/ach/entry/search:
post:
deprecated: true
operationId: SearchAchEntries
tags:
- Search
summary: Search entries
description: |
Search ACH entries stored in the incoming ACH warehouse service.
## Sorting
The default sort order is by Settlement Date in descending order.
The secondary sort is by Amount in ascending order.
## Query Parameters
- **Offset**: Default is 0 if no value is supplied
- **Count**: Default is 50 if no value is supplied
## Authorization
Requires ViewACHEntries permission set to Allow.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: X-Request-ID
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
in: header
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
- name: X-Correlation-ID
description: |
The `X-Correlation-ID` header is an optional header that can be included in REST API to track and correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
in: header
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
- name: X-WorkflowCorrelationId
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
in: header
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
- name: Offset
in: query
description: The service offset provided by the API provider
schema:
type: string
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
description: Search filters for ACH entries
required: true
content:
application/json:
schema:
type: object
description: |
Filters to search ACH entries in the incoming warehouse.
All fields are optional. The API does not validate that appropriate values are passed;
it only validates if there are any search criteria matches. Consumers should provide
attribute level validations and present errors to end-users in real-time.
properties:
traceNumber:
type: string
description: |
A unique identifier assigned to each transaction. Must equal 15 numeric characters.
If trace number is used, no additional criteria is required, but it may be used
in conjunction with other values.
maxLength: 15
pattern: ^\d{15}$
example: '123456789012345'
receiverAccountNumber:
type: string
description: The receiver's account number that comes from the entry detail record
maxLength: 17
example: '1234567890'
searchStartDate:
type: string
format: date
description: |
The starting settlement date to retrieve transactions (inclusive).
If From Date is provided and To Date is null, it can be treated as searching for items equal to From Date.
example: '2024-01-01'
searchEndDate:
type: string
format: date
description: |
The ending settlement date to retrieve transactions (inclusive).
Must be greater than or equal to the start date.
example: '2024-01-31'
searchMinimumAmount:
type: string
description: |
The minimum amount to search by for the transaction.
Value cannot be less than zero. Maximum amount is $99,999,999.99.
If min Amount > 0 and max Amount is null, can be treated as searching for items equal to min Amount.
Format: Dollar amount as string (e.g., "100.00")
pattern: ^\d{1,8}(\.\d{2})?$
example: '100.00'
searchMaximumAmount:
type: string
description: |
The maximum amount to search by for the transaction.
Value cannot be less than zero. Maximum amount is $99,999,999.99.
Format: Dollar amount as string (e.g., "50000.00")
pattern: ^\d{1,8}(\.\d{2})?$
example: '50000.00'
debitCredit:
type: string
description: |
Identifier that determines if the transfer transaction is a debit or credit.
This value is based on the entry transaction code translation located in the entry detail record.
enum:
- debit
- credit
example: credit
entryState:
type: string
description: |
The state of the transaction. This value comes from the database table.
enum:
- Unprocessed
- Posted
- Exception
- Return
example: Posted
originatorCompanyId:
type: string
description: The identifier of the entity initiating the transaction from batch header record
maxLength: 10
example: '1234567890'
originatorCompanyName:
type: string
description: The name of the entity initiating the transaction from batch header record
maxLength: 16
example: ACME Corporation
standardEntryClassCode:
type: string
description: Identifies the type of entry based on NACHA rules. Always 3 characters.
maxLength: 3
minLength: 3
example: PPD
receiverName:
type: string
description: The name of the receiving customer from entry detail record
maxLength: 22
example: John Doe
additionalProperties: false
responses:
'200':
description: Success
headers:
X-Request-ID:
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
X-Correlation-ID:
description: |
The `X-Correlation-ID` header is used to correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
X-WorkflowCorrelationId:
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
content:
application/json:
schema:
type: object
description: |
Response object containing the array of ACH entries matching the search criteria and paging information.
Entries are sorted by Settlement Date in descending order (primary), then by Amount in ascending order (secondary).
required:
- entries
- paging
properties:
paging:
type: object
required:
- nextOffset
- results
properties:
nextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
results:
type: integer
description: The number of records included in the response.
total:
type: integer
nullable: true
description: The total number of records the server has available for the request.
additionalProperties: false
entries:
type: array
description: Array of ACH entry records matching the search criteria
items:
type: object
description: |
Entry result shape for incoming ACH entries.
All fields are required in the response.
Results are sorted by Settlement Date in descending order (primary),
then by Amount in ascending order (secondary).
required:
- id
- settlementDate
- receiverAccountNumber
- receiverName
- amount
- debitCredit
- originatorCompanyName
- entryState
- secCode
- traceNumber
- originatorCompanyId
- transactionCode
- fileId
- batch
properties:
id:
type: string
description: |
The unique identifier of the incoming entry (GUID).
example: 550e8400-e29b-41d4-a716-446655440000
settlementDate:
type: string
format: date
description: The settlement date of the incoming entry
example: '2024-01-15'
receiverAccountNumber:
type: string
description: The receiving customer's account number from the entry detail record
maxLength: 17
example: '1234567890'
receiverName:
type: string
description: The name of the receiving customer from the entry detail record
maxLength: 22
example: John Doe
amount:
type: object
properties:
value:
type: string
description: This defines the amount value.
nullable: false
currencyType:
type: string
description: The ISO 4217 three character currency type. USD is the default value.
nullable: true
default: usd
additionalProperties: false
debitCredit:
type: string
description: "Identifier that determines if the transfer transaction is a debit or credit.\nThis value must be derived and translated from the entry transaction code \nlocated in the entry detail record. Required, even if amount = $0\n"
enum:
- debit
- credit
example: credit
originatorCompanyName:
type: string
description: The name of the entity initiating the transaction from the batch header record
maxLength: 16
example: ACME Corp
entryState:
type: string
description: |
The state of the transaction. This value comes from the entry database table.
enum:
- Unprocessed
- Posted
- Exception
- Return
example: Posted
secCode:
type: string
description: |
Identifies the type of entry based on NACHA rules.
This value comes from the batch header record and is always 3 characters.
minLength: 3
maxLength: 3
example: PPD
traceNumber:
type: string
description: |
A unique identifier assigned to each transaction.
This value comes from the entry detail record and is always 15 characters.
minLength: 15
maxLength: 15
pattern: ^\d{15}$
example: '123456789012345'
originatorCompanyId:
type: string
description: |
The identifier of the entity initiating the transaction from the batch header record
maxLength: 10
example: '1234567890'
transactionCode:
type: string
description: |
The code that identifies the behavior of the transaction.
This value comes from the entry detail record and is always 2 characters.
minLength: 2
maxLength: 2
pattern: ^\d{2}$
example: '22'
fileId:
type: string
format: uuid
description: |
The unique identifier (GUID) assigned to an incoming file when it is successfully uploaded.
This value comes from the file database table.
example: 550e8400-e29b-41d4-a716-446655440000
batch:
type: integer
format: int32
description: |
The sequential number assigned to each batch of transactions within an ACH file.
This value comes from the batch header record. Maximum 7 characters.
minimum: 0
maximum: 9999999
example: 1
additionalProperties: false
additionalProperties: false
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/jh-ach/v1/{InstitutionUniversalId}/entries:
get:
operationId: SearchEntries
tags:
- Search
summary: Search entries
description: |
Search entries stored in the data service.
## Sorting
The default sort order is by Settlement Date in descending order.
The secondary sort is by Amount in ascending order.
## Query Parameters
- **Offset**: Default is 0 if no value is supplied
- **Count**: Default is 50 if no value is supplied
## Authorization
Requires ViewEntries permission set to Allow.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: X-Request-ID
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
in: header
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
- name: X-Correlation-ID
description: |
The `X-Correlation-ID` header is an optional header that can be included in REST API to track and correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
in: header
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
- name: X-WorkflowCorrelationId
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
in: header
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
- name: Offset
in: query
description: The service offset provided by the API provider
schema:
type: string
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
- name: externalBatchId
in: query
required: false
description: Filter by external batch ID
schema:
type: string
maxLength: 36
- name: externalEntryId
in: query
required: false
description: Filter by external entry ID
schema:
type: string
maxLength: 36
- name: entryId
in: query
required: false
description: Filter by entry ID
schema:
type: string
format: uuid
- name: batchId
in: query
required: false
description: Filter by batch ID
schema:
type: string
format: uuid
- name: fileId
in: query
required: false
description: Filter by file ID
schema:
type: string
format: uuid
- name: startDate
in: query
required: false
description: |
The starting settlement date to retrieve transactions (inclusive).
If From Date is provided and To Date is null, it can be treated as searching for items equal to From Date.
(civil date format YYYY-MM-DD)
schema:
type: string
format: date
example: '2024-01-01'
- name: endDate
in: query
required: false
description: |
The ending settlement date to retrieve transactions (inclusive).
Must be greater than or equal to the start date.
(civil date format YYYY-MM-DD)
schema:
type: string
format: date
example: '2024-01-31'
- name: minAmount
in: query
required: false
description: |
The minimum amount to search by for the transaction.
Value cannot be less than zero. Maximum amount is $99,999,999.99.
If min Amount > 0 and max Amount is null, can be treated as searching for items equal to min Amount.
Format: Dollar amount as string (e.g., "100.00")
schema:
type: string
pattern: ^\d{1,8}(\.\d{2})?$
example: '100.00'
- name: maxAmount
in: query
required: false
description: |
The maximum amount to search by for the transaction.
Value cannot be less than zero. Maximum amount is $99,999,999.99.
Format: Dollar amount as string (e.g., "50000.00")
schema:
type: string
pattern: ^\d{1,8}(\.\d{2})?$
example: '50000.00'
- name: debitCredit
in: query
required: false
description: |
Identifier that determines if the transfer transaction is a debit or credit.
This value is based on the entry transaction code translation located in the entry detail record.
schema:
type: string
enum:
- credit
- debit
example: credit
- name: traceNumber
in: query
required: false
description: |
A unique identifier assigned to each transaction. Must equal 15 numeric characters.
If trace number is used, no additional criteria is required, but it may be used
in conjunction with other values.
schema:
type: string
pattern: ^\d{15}$
maxLength: 15
example: '123456789012345'
- name: receiverAccountNumber
in: query
required: false
description: The receiver's account number that comes from the entry detail record
schema:
type: string
maxLength: 17
example: '1234567890'
- name: entryState
in: query
required: false
description: |
The state of the transaction. This value comes from the database table.
schema:
type: string
enum:
- Unprocessed
- Posted
- Exception
- Return
example: Posted
- name: originatorCompanyId
in: query
required: false
description: The identifier of the entity initiating the transaction from batch header record
schema:
type: string
maxLength: 10
example: '1234567890'
- name: originatorCompanyName
in: query
required: false
description: The name of the entity initiating the transaction from batch header record
schema:
type: string
maxLength: 16
example: ACME Corporation
- name: standardEntryClassCode
in: query
required: false
description: Identifies the type of entry based on NACHA rules. Always 3 characters.
schema:
type: string
minLength: 3
maxLength: 3
example: PPD
- name: receiverName
in: query
required: false
description: The name of the receiving customer from entry detail record
schema:
type: string
maxLength: 22
example: John Doe
- name: direction
in: query
required: false
description: Filter by transaction direction
schema:
type: string
enum:
- incoming
- outgoing
- name: query
in: query
required: false
description: General search query
schema:
type: string
minLength: 3
maxLength: 100
responses:
'200':
description: Success
headers:
X-Request-ID:
description: "The `X-Request-Id` is used to track and identify individual requests as they traverse various systems to enable tracing and troubleshooting. If one is not provided in the request, the API generates this ID. A new ID is generated for each service call when a request requires calls to other services. Developers and system administrators use this ID to correlate logs and monitor the flow of requests through multiple systems. \n"
required: false
schema:
type: string
format: uuid
example: 368b8d8f-5d07-4612-9523-d92fd57b0341
X-Correlation-ID:
description: |
The `X-Correlation-ID` header is used to correlate related requests and responses within a distributed system. This header allows clients to assign a unique identifier to a request, which servers or middleware components can then use to track and link subsequent requests and responses that are part of the same logical operation or transaction.
required: false
schema:
type: string
format: uuid
example: 8e87d005-f99f-40ab-a4e0-811f9263f1e7
X-WorkflowCorrelationId:
description: |
The `X-WorkflowCorrelationId` header correlates different requests or events as part of a workflow or process. It is used to track and manage the flow of requests throughout multiple systems. When a workflow client sends multiple related requests, they can include the `X-WorkflowCorrelationId` header with the same value to indicate that these requests are part of the same workflow to support the grouping and associating the requests together, thus enabling reporting systems to identify them as a single logical unit. Additionally, this header element can assist in monitoring and troubleshooting the workflow by allowing administrators or developers to trace and analyze the flow of requests using this common identifier.
required: false
schema:
type: string
format: uuid
example: 062e61c8-1d5f-41c6-9ddb-e00f35004e60
content:
application/json:
schema:
type: object
description: Response containing a list of entries with batch information and paging details
required:
- entries
- paging
properties:
paging:
type: object
required:
- nextOffset
- results
properties:
nextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
results:
type: integer
description: The number of records included in the response.
total:
type: integer
nullable: true
description: The total number of records the server has available for the request.
additionalProperties: false
entries:
type: array
description: Array of entries with associated batch information
items:
type: object
description: Combined response containing ACH entry and batch information
required:
- institutionId
- id
- externalEntryId
- batchId
- transactionCode
- rdfiIdentification
- dfiAccountNumber
- amount
- addendaRecordIndicator
- status
- direction
- createdBy
- createdAt
- updatedAt
- externalBatchId
- serviceClassCode
- companyIdentification
- standardEntryClassCode
- effectiveEntryDate
- odfiIdentification
- batchStatus
properties:
institutionId:
type: string
description: Institution identifier
id:
type: string
description: Unique identifier for the entry
externalEntryId:
type: string
description: External entry identifier
fileId:
type: string
nullable: true
description: File identifier
batchId:
type: string
description: Batch identifier
transactionCode:
type: integer
format: int64
description: Transaction code
rdfiIdentification:
type: string
description: Receiving Depository Financial Institution identification
checkDigit:
type: string
nullable: true
description: Check digit
dfiAccountNumber:
type: string
description: DFI account number
amount:
type: object
properties:
value:
type: string
description: This defines the amount value.
nullable: false
currencyType:
type: string
description: The ISO 4217 three character currency type. USD is the default value.
nullable: true
default: usd
additionalProperties: false
identificationNumber:
type: string
nullable: true
description: Identification number
individualName:
type: string
nullable: true
description: Individual name
discretionaryData:
type: string
nullable: true
description: Discretionary data
addendaRecordIndicator:
type: integer
format: int64
description: Addenda record indicator
traceNumber:
type: string
nullable: true
description: Trace number
category:
type: string
nullable: true
description: Entry category
lineNumber:
type: integer
format: int64
nullable: true
description: Line number
addendaRecords:
type: integer
format: int64
nullable: true
description: Number of addenda records
ofacScreeningIndicator:
type: string
nullable: true
description: OFAC screening indicator
settlementDate:
type: string
nullable: true
description: Settlement date
status:
type: string
description: Entry status
direction:
type: string
description: Transaction direction (incoming/outgoing)
parentEntryId:
type: string
nullable: true
description: Parent entry identifier
createdBy:
type: string
description: User who created the entry
updatedBy:
type: string
nullable: true
description: User who last updated the entry
createdAt:
type: string
format: date-time
description: Entry creation timestamp
updatedAt:
type: string
format: date-time
description: Entry last update timestamp
externalBatchId:
type: string
description: External batch identifier
batchName:
type: string
nullable: true
description: Batch name
serviceClassCode:
type: string
description: Service class code
companyName:
type: string
nullable: true
description: Company name
companyDiscretionaryData:
type: string
nullable: true
description: Company discretionary data
companyIdentification:
type: string
description: Company identification
standardEntryClassCode:
type: string
description: Standard entry class code
companyEntryDescription:
type: string
nullable: true
description: Company entry description
companyDescriptiveDate:
type: string
nullable: true
description: Company descriptive date
effectiveEntryDate:
type: string
description: Effective entry date
originatorStatusCode:
type: string
nullable: true
description: Originator status code
odfiIdentification:
type: string
description: Originating Depository Financial Institution identification
batchNumber:
type: integer
format: int64
nullable: true
description: Batch number
iatIndicator:
type: string
nullable: true
description: International ACH Transaction indicator
foreignExchangeIndicator:
type: string
nullable: true
description: Foreign exchange indicator
foreignExchangeReferenceIndicator:
type: string
nullable: true
description: Foreign exchange reference indicator
foreignExchangeReference:
type: string
nullable: true
description: Foreign exchange reference
isoDestinationCountryCode:
type: string
nullable: true
description: ISO destination country code
originatorIdentification:
type: string
nullable: true
description: Originator identification
isoOriginatingCurrencyCode:
type: string
nullable: true
description: ISO originating currency code
isoDestinationCurrencyCode:
type: string
nullable: true
description: ISO destination currency code
batchStatus:
type: string
description: Batch status
additionalProperties: false
additionalProperties: false
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Wed Feb 11 2026